SHMIF_DUMPBUS(1)

NAME
shmif_dumpbus - examine shmif bus contents

SYNOPSIS
shmif_dumpbus [-h] [-p pcapfile] busfile

DESCRIPTION
The shmif_dumpbus utility examines the bus of an shmif(4) Ethernet interface. The most useful feature is converting the bus to the pcap(3) file format for later examination. shmif_dumpbus itself is limited to displaying only very basic information about each frame.

shmif_dumpbus accepts the following flags:

-h  Print bus header only and skip contents.

-p pcapfile
    Convert bus contents to the pcap(3) format and write the result to pcapfile. The file - signifies stdout.

EXAMPLES
Feed the busfile contents to pcap:

    $ shmif_dumpbus -p - busfile | tcpdump -r -

SEE ALSO
pcap(3), shmif(4), tcpdump(8)

CAVEATS
shmif_dumpbus does not lock the busfile and is best used for post-mortem analysis of the bus traffic.

The timestamp for each frame contains the sender's timestamp and may not be monotonically increasing with respect to the frame order in the dump.